Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface MetaABMActPackage.Literals

Enclosing interface:
  MetaABMActPackage

    public static interface MetaABMActPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `AACCESSOR` The meta object literal for the '`AAccessor`' class.
`static org.eclipse.emf.ecore.EReference` | `AACCESSOR__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature.
`static org.eclipse.emf.ecore.EClass` | `AACT` The meta object literal for the '`AAct`' class.
`static org.eclipse.emf.ecore.EReference` | `AACT__ALL_SOURCES` The meta object literal for the 'All Sources' reference list feature.
`static org.eclipse.emf.ecore.EReference` | `AACT__ALL_TARGETS` The meta object literal for the 'All Targets' reference list feature.
`static org.eclipse.emf.ecore.EReference` | `AACT__GROUP` The meta object literal for the 'Group' container reference feature.
`static org.eclipse.emf.ecore.EReference` | `AACT__REFERENCE` The meta object literal for the 'Reference' reference feature.
`static org.eclipse.emf.ecore.EReference` | `AACT__ROOT_SELECTED` The meta object literal for the 'Root Selected' reference feature.
`static org.eclipse.emf.ecore.EReference` | `AACT__SELECTED` The meta object literal for the 'Selected' reference feature.
`static org.eclipse.emf.ecore.EReference` | `AACT__SOURCES` The meta object literal for the 'Sources' reference list feature.
`static org.eclipse.emf.ecore.EReference` | `AACT__TARGETS` The meta object literal for the 'Targets' reference list feature.
`static org.eclipse.emf.ecore.EClass` | `AALL` The meta object literal for the '`AAll`' class.
`static org.eclipse.emf.ecore.EClass` | `AANY` The meta object literal for the '`AAny`' class.
`static org.eclipse.emf.ecore.EClass` | `ABUILD` The meta object literal for the ' `ABuild`' class.
`static org.eclipse.emf.ecore.EClass` | `ABUILD_GEOGRAPHY` The meta object literal for the '`ABuild Geography`' class.
`static org.eclipse.emf.ecore.EClass` | `ABUILD_GRID` The meta object literal for the '`ABuild Grid`' class.
`static org.eclipse.emf.ecore.EReference` | `ABUILD_GRID__FILL_AGENT` The meta object literal for the 'Fill Agent' reference feature.
`static org.eclipse.emf.ecore.EClass` | `ABUILD_NETWORK` The meta object literal for the '`ABuild Network`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ABUILD_NETWORK__NETWORK_TYPE` The meta object literal for the 'Network Type' attribute feature.
`static org.eclipse.emf.ecore.EEnum` | `ABUILD_NETWORK_TYPES` The meta object literal for the '`ABuild Network Types`' enum.
`static org.eclipse.emf.ecore.EClass` | `ABUILD_PROJECTION` The meta object literal for the '`ABuild Projection`' class.
`static org.eclipse.emf.ecore.EReference` | `ABUILD_PROJECTION__AGENTS` The meta object literal for the 'Agents' reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ABUILD_PROJECTION__ATTRIBUTES` The meta object literal for the 'Attributes' reference list feature.
`static org.eclipse.emf.ecore.EReference` | `ABUILD_PROJECTION__PROJECTION` The meta object literal for the 'Projection' reference feature.
`static org.eclipse.emf.ecore.EClass` | `ABUILD_SPACE` The meta object literal for the '`ABuild Space`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ABUILD_SPACE__SPACE_TYPE` The meta object literal for the 'Space Type' attribute feature.
`static org.eclipse.emf.ecore.EEnum` | `ABUILD_SPACE_TYPES` The meta object literal for the '`ABuild Space Types`' enum.
`static org.eclipse.emf.ecore.EClass` | `ACAUSE` The meta object literal for the ' `ACause`' class.
`static org.eclipse.emf.ecore.EReference` | `ACAUSE__RESULT` The meta object literal for the 'Result' reference feature.
`static org.eclipse.emf.ecore.EClass` | `ACOMMAND` The meta object literal for the '`ACommand`' class.
`static org.eclipse.emf.ecore.EClass` | `ACONNECT` The meta object literal for the '`AConnect`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ACONNECT__DIRECTED` The meta object literal for the 'Directed' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ACONTROL` The meta object literal for the '`AControl`' class.
`static org.eclipse.emf.ecore.EClass` | `ACREATE_AGENTS` The meta object literal for the '`ACreate Agents`' class.
`static org.eclipse.emf.ecore.EReference` | `ACREATE_AGENTS__AGENT_COUNT` The meta object literal for the 'Agent Count' reference feature.
`static org.eclipse.emf.ecore.EClass` | `ACREATE_SHAPED_AGENTS` The meta object literal for the '`ACreate Shaped Agents`' class.
`static org.eclipse.emf.ecore.EClass` | `ADERIVE` The meta object literal for the '`ADerive`' class.
`static org.eclipse.emf.ecore.EClass` | `ADIE` The meta object literal for the '`ADie`' class.
`static org.eclipse.emf.ecore.EClass` | `ADIFFUSE` The meta object literal for the '`ADiffuse`' class.
`static org.eclipse.emf.ecore.EReference` | `ADIFFUSE__DIFFUSED` The meta object literal for the 'Diffused' reference feature.
`static org.eclipse.emf.ecore.EReference` | `ADIFFUSE__DIFFUSION_RATE` The meta object literal for the 'Diffusion Rate' reference feature.
`static org.eclipse.emf.ecore.EReference` | `ADIFFUSE__EVAPORATION_RATE` The meta object literal for the 'Evaporation Rate' reference feature.
`static org.eclipse.emf.ecore.EClass` | `ADISCONNECT` The meta object literal for the '`ADisconnect`' class.
`static org.eclipse.emf.ecore.EClass` | `AEVALUATE` The meta object literal for the '`AEvaluate`' class.
`static org.eclipse.emf.ecore.EClass` | `AGROUP` The meta object literal for the ' `AGroup`' class.
`static org.eclipse.emf.ecore.EReference` | `AGROUP__MEMBERS` The meta object literal for the 'Members' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `AGROUP__ROOTS` The meta object literal for the 'Roots' reference list feature.
`static org.eclipse.emf.ecore.EClass` | `AINITIALIZE` The meta object literal for the '`AInitialize`' class.
`static org.eclipse.emf.ecore.EClass` | `AINPUT` The meta object literal for the ' `AInput`' class.
`static org.eclipse.emf.ecore.EReference` | `AINPUT__LITERAL` The meta object literal for the 'Literal' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `AINPUT__SELECTED` The meta object literal for the 'Selected' reference feature.
`static org.eclipse.emf.ecore.EReference` | `AINPUT__SINK` The meta object literal for the 'Sink' container reference feature.
`static org.eclipse.emf.ecore.EReference` | `AINPUT__VALUE` The meta object literal for the 'Value' reference feature.
`static org.eclipse.emf.ecore.EClass` | `ALEAVE` The meta object literal for the ' `ALeave`' class.
`static org.eclipse.emf.ecore.EClass` | `ALITERAL` The meta object literal for the '`ALiteral`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ALITERAL__VALUE_LITERAL` The meta object literal for the 'Value Literal' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ALOAD_AGENTS` The meta object literal for the '`ALoad Agents`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ALOAD_AGENTS__SOURCE_URL` The meta object literal for the 'Source URL' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ALOAD_SHAPED_AGENTS` The meta object literal for the '`ALoad Shaped Agents`' class.
`static org.eclipse.emf.ecore.EClass` | `ALOGIC` The meta object literal for the '`ALogic`' class.
`static org.eclipse.emf.ecore.EClass` | `AMETHOD` The meta object literal for the '`AMethod`' class.
`static org.eclipse.emf.ecore.EAttribute` | `AMETHOD__BODY` The meta object literal for the 'Body' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `AMETHOD__GENERATE` The meta object literal for the 'Generate' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `AMOVE` The meta object literal for the ' `AMove`' class.
`static org.eclipse.emf.ecore.EClass` | `AMULTI_VALUE` The meta object literal for the '`AMulti Value`' class.
`static org.eclipse.emf.ecore.EReference` | `AMULTI_VALUE__VALUES` The meta object literal for the 'Values' reference list feature.
`static org.eclipse.emf.ecore.EClass` | `ANETWORK` The meta object literal for the '`ANetwork`' class.
`static org.eclipse.emf.ecore.EReference` | `ANETWORK__WITHIN` The meta object literal for the 'Within' reference feature.
`static org.eclipse.emf.ecore.EClass` | `ANONE` The meta object literal for the ' `ANone`' class.
`static org.eclipse.emf.ecore.EClass` | `APERFORM` The meta object literal for the '`APerform`' class.
`static org.eclipse.emf.ecore.EClass` | `AQUERY` The meta object literal for the ' `AQuery`' class.
`static org.eclipse.emf.ecore.EClass` | `AREPLACE` The meta object literal for the '`AReplace`' class.
`static org.eclipse.emf.ecore.EClass` | `AROOT` The meta object literal for the '`ARoot`' class.
`static org.eclipse.emf.ecore.EClass` | `ARULE` The meta object literal for the ' `ARule`' class.
`static org.eclipse.emf.ecore.EClass` | `ASCHEDULE` The meta object literal for the '`ASchedule`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ASCHEDULE__INTERVAL` The meta object literal for the 'Interval' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ASCHEDULE__PICK` The meta object literal for the 'Pick' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ASCHEDULE__PRIORITY` The meta object literal for the 'Priority' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ASCHEDULE__START` The meta object literal for the 'Start' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ASELECT` The meta object literal for the '`ASelect`' class.
`static org.eclipse.emf.ecore.EReference` | `ASELECT__AGENT` The meta object literal for the 'Agent' reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `ASELECT__FOR` The meta object literal for the 'For' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `ASELECT__SPACE` The meta object literal for the 'Space' reference feature.
`static org.eclipse.emf.ecore.EEnum` | `ASELECT_TYPES` The meta object literal for the '`ASelect Types`' enum.
`static org.eclipse.emf.ecore.EClass` | `ASET` The meta object literal for the '`ASet`' class.
`static org.eclipse.emf.ecore.EReference` | `ASET__PARAMETER` The meta object literal for the 'Parameter' reference feature.
`static org.eclipse.emf.ecore.EClass` | `ASHAPED` The meta object literal for the '`AShaped`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ASHAPED__SHAPE` The meta object literal for the 'Shape' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ASINK` The meta object literal for the ' `ASink`' class.
`static org.eclipse.emf.ecore.EReference` | `ASINK__FUNCTION` The meta object literal for the 'Function' reference feature.
`static org.eclipse.emf.ecore.EReference` | `ASINK__INPUTS` The meta object literal for the 'Inputs' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `ATRANSFORM` The meta object literal for the '`ATransform`' class.
`static org.eclipse.emf.ecore.EReference` | `ATRANSFORM__DESTINATION` The meta object literal for the 'Destination' reference feature.
`static org.eclipse.emf.ecore.EClass` | `AWATCH` The meta object literal for the ' `AWatch`' class.

Field Detail

### AACT

    static final org.eclipse.emf.ecore.EClass AACT

  The meta object literal for the '`AAct`' class.

  See Also:
    `AActImpl`, `MetaABMActPackageImpl.getAAct()`

### AACT__SOURCES

    static final org.eclipse.emf.ecore.EReference AACT__SOURCES

  The meta object literal for the 'Sources' reference list feature.

### AACT__TARGETS

    static final org.eclipse.emf.ecore.EReference AACT__TARGETS

  The meta object literal for the 'Targets' reference list feature.

### AACT__REFERENCE

    static final org.eclipse.emf.ecore.EReference AACT__REFERENCE

  The meta object literal for the 'Reference' reference feature.

### AACT__GROUP

    static final org.eclipse.emf.ecore.EReference AACT__GROUP

  The meta object literal for the 'Group' container reference feature.

### AACT__SELECTED

    static final org.eclipse.emf.ecore.EReference AACT__SELECTED

  The meta object literal for the 'Selected' reference feature.

### AACT__ALL_SOURCES

    static final org.eclipse.emf.ecore.EReference AACT__ALL_SOURCES

  The meta object literal for the 'All Sources' reference list feature.

### AACT__ALL_TARGETS

    static final org.eclipse.emf.ecore.EReference AACT__ALL_TARGETS

  The meta object literal for the 'All Targets' reference list feature.

### AACT__ROOT_SELECTED

    static final org.eclipse.emf.ecore.EReference AACT__ROOT_SELECTED

  The meta object literal for the 'Root Selected' reference feature.

### ACONTROL

    static final org.eclipse.emf.ecore.EClass ACONTROL

  The meta object literal for the '`AControl`' class.

  See Also:
    `AControl`, `MetaABMActPackageImpl.getAControl()`

### AROOT

    static final org.eclipse.emf.ecore.EClass AROOT

  The meta object literal for the '`ARoot`' class.

  See Also:
    `ARoot`, `MetaABMActPackageImpl.getARoot()`

### AGROUP

    static final org.eclipse.emf.ecore.EClass AGROUP

  The meta object literal for the ' `AGroup`' class.

  See Also:
    `AGroupImpl`, `MetaABMActPackageImpl.getAGroup()`

### AGROUP__ROOTS

    static final org.eclipse.emf.ecore.EReference AGROUP__ROOTS

  The meta object literal for the 'Roots' reference list feature.

### AGROUP__MEMBERS

    static final org.eclipse.emf.ecore.EReference AGROUP__MEMBERS

  The meta object literal for the 'Members' containment reference list feature.

### ASCHEDULE

    static final org.eclipse.emf.ecore.EClass ASCHEDULE

  The meta object literal for the '`ASchedule`' class.

  See Also:
    `AScheduleImpl`, `MetaABMActPackageImpl.getASchedule()`

### ASCHEDULE__START

    static final org.eclipse.emf.ecore.EAttribute ASCHEDULE__START

  The meta object literal for the 'Start' attribute feature.

### ASCHEDULE__INTERVAL

    static final org.eclipse.emf.ecore.EAttribute ASCHEDULE__INTERVAL

  The meta object literal for the 'Interval' attribute feature.

### ASCHEDULE__PRIORITY

    static final org.eclipse.emf.ecore.EAttribute ASCHEDULE__PRIORITY

  The meta object literal for the 'Priority' attribute feature.

### ASCHEDULE__PICK

    static final org.eclipse.emf.ecore.EAttribute ASCHEDULE__PICK

  The meta object literal for the 'Pick' attribute feature.

### ABUILD

    static final org.eclipse.emf.ecore.EClass ABUILD

  The meta object literal for the ' `ABuild`' class.

  See Also:
    `ABuildImpl`, `MetaABMActPackageImpl.getABuild()`

### AINITIALIZE

    static final org.eclipse.emf.ecore.EClass AINITIALIZE

  The meta object literal for the '`AInitialize`' class.

  See Also:
    `AInitializeImpl`, `MetaABMActPackageImpl.getAInitialize()`

### ARULE

    static final org.eclipse.emf.ecore.EClass ARULE

  The meta object literal for the ' `ARule`' class.

  See Also:
    `ARuleImpl`, `MetaABMActPackageImpl.getARule()`

### AMETHOD

    static final org.eclipse.emf.ecore.EClass AMETHOD

  The meta object literal for the '`AMethod`' class.

  See Also:
    `AMethodImpl`, `MetaABMActPackageImpl.getAMethod()`

### AMETHOD__BODY

    static final org.eclipse.emf.ecore.EAttribute AMETHOD__BODY

  The meta object literal for the 'Body' attribute feature.

### AMETHOD__GENERATE

    static final org.eclipse.emf.ecore.EAttribute AMETHOD__GENERATE

  The meta object literal for the 'Generate' attribute feature.

### ASINK

    static final org.eclipse.emf.ecore.EClass ASINK

  The meta object literal for the ' `ASink`' class.

  See Also:
    `ASinkImpl`, `MetaABMActPackageImpl.getASink()`

### ASINK__INPUTS

    static final org.eclipse.emf.ecore.EReference ASINK__INPUTS

  The meta object literal for the 'Inputs' containment reference list feature.

### ASINK__FUNCTION

    static final org.eclipse.emf.ecore.EReference ASINK__FUNCTION

  The meta object literal for the 'Function' reference feature.

### ALOGIC

    static final org.eclipse.emf.ecore.EClass ALOGIC

  The meta object literal for the '`ALogic`' class.

  See Also:
    `ALogic`, `MetaABMActPackageImpl.getALogic()`

### AANY

    static final org.eclipse.emf.ecore.EClass AANY

  The meta object literal for the '`AAny`' class.

  See Also:
    `AAnyImpl`, `MetaABMActPackageImpl.getAAny()`

### AALL

    static final org.eclipse.emf.ecore.EClass AALL

  The meta object literal for the '`AAll`' class.

  See Also:
    `AAllImpl`, `MetaABMActPackageImpl.getAAll()`

### ANONE

    static final org.eclipse.emf.ecore.EClass ANONE

  The meta object literal for the ' `ANone`' class.

  See Also:
    `ANoneImpl`, `MetaABMActPackageImpl.getANone()`

### AQUERY

    static final org.eclipse.emf.ecore.EClass AQUERY

  The meta object literal for the ' `AQuery`' class.

  See Also:
    `AQueryImpl`, `MetaABMActPackageImpl.getAQuery()`

### AEVALUATE

    static final org.eclipse.emf.ecore.EClass AEVALUATE

  The meta object literal for the '`AEvaluate`' class.

  See Also:
    `AEvaluateImpl`, `MetaABMActPackageImpl.getAEvaluate()`

### AACCESSOR

    static final org.eclipse.emf.ecore.EClass AACCESSOR

  The meta object literal for the '`AAccessor`' class.

  See Also:
    `AAccessorImpl`, `MetaABMActPackageImpl.getAAccessor()`

### AACCESSOR__ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference AACCESSOR__ATTRIBUTE

  The meta object literal for the 'Attribute' reference feature.

### AWATCH

    static final org.eclipse.emf.ecore.EClass AWATCH

  The meta object literal for the ' `AWatch`' class.

  See Also:
    `AWatchImpl`, `MetaABMActPackageImpl.getAWatch()`

### ASET

    static final org.eclipse.emf.ecore.EClass ASET

  The meta object literal for the '`ASet`' class.

  See Also:
    `ASetImpl`, `MetaABMActPackageImpl.getASet()`

### ASET__PARAMETER

    static final org.eclipse.emf.ecore.EReference ASET__PARAMETER

  The meta object literal for the 'Parameter' reference feature.

### ACREATE_AGENTS

    static final org.eclipse.emf.ecore.EClass ACREATE_AGENTS

  The meta object literal for the '`ACreate Agents`' class.

  See Also:
    `ACreateAgentsImpl`, `MetaABMActPackageImpl.getACreateAgents()`

### ACREATE_AGENTS__AGENT_COUNT

    static final org.eclipse.emf.ecore.EReference ACREATE_AGENTS__AGENT_COUNT

  The meta object literal for the 'Agent Count' reference feature.

### ABUILD_PROJECTION

    static final org.eclipse.emf.ecore.EClass ABUILD_PROJECTION

  The meta object literal for the '`ABuild Projection`' class.

  See Also:
    `ABuildProjectionImpl`, `MetaABMActPackageImpl.getABuildProjection()`

### ABUILD_PROJECTION__AGENTS

    static final org.eclipse.emf.ecore.EReference ABUILD_PROJECTION__AGENTS

  The meta object literal for the 'Agents' reference list feature.

### ABUILD_PROJECTION__PROJECTION

    static final org.eclipse.emf.ecore.EReference ABUILD_PROJECTION__PROJECTION

  The meta object literal for the 'Projection' reference feature.

### ABUILD_PROJECTION__ATTRIBUTES

    static final org.eclipse.emf.ecore.EReference ABUILD_PROJECTION__ATTRIBUTES

  The meta object literal for the 'Attributes' reference list feature.

### ABUILD_NETWORK

    static final org.eclipse.emf.ecore.EClass ABUILD_NETWORK

  The meta object literal for the '`ABuild Network`' class.

  See Also:
    `ABuildNetworkImpl`, `MetaABMActPackageImpl.getABuildNetwork()`

### ABUILD_NETWORK__NETWORK_TYPE

    static final org.eclipse.emf.ecore.EAttribute ABUILD_NETWORK__NETWORK_TYPE

  The meta object literal for the 'Network Type' attribute feature.

### ABUILD_SPACE

    static final org.eclipse.emf.ecore.EClass ABUILD_SPACE

  The meta object literal for the '`ABuild Space`' class.

  See Also:
    `ABuildSpaceImpl`, `MetaABMActPackageImpl.getABuildSpace()`

### ABUILD_SPACE__SPACE_TYPE

    static final org.eclipse.emf.ecore.EAttribute ABUILD_SPACE__SPACE_TYPE

  The meta object literal for the 'Space Type' attribute feature.

### ABUILD_GEOGRAPHY

    static final org.eclipse.emf.ecore.EClass ABUILD_GEOGRAPHY

  The meta object literal for the '`ABuild Geography`' class.

  See Also:
    `ABuildGeographyImpl`, `MetaABMActPackageImpl.getABuildGeography()`

### ABUILD_GRID

    static final org.eclipse.emf.ecore.EClass ABUILD_GRID

  The meta object literal for the '`ABuild Grid`' class.

  See Also:
    `ABuildGridImpl`, `MetaABMActPackageImpl.getABuildGrid()`

### ABUILD_GRID__FILL_AGENT

    static final org.eclipse.emf.ecore.EReference ABUILD_GRID__FILL_AGENT

  The meta object literal for the 'Fill Agent' reference feature.

### ASELECT

    static final org.eclipse.emf.ecore.EClass ASELECT

  The meta object literal for the '`ASelect`' class.

  See Also:
    `ASelectImpl`, `MetaABMActPackageImpl.getASelect()`

### ASELECT__AGENT

    static final org.eclipse.emf.ecore.EReference ASELECT__AGENT

  The meta object literal for the 'Agent' reference feature.

### ASELECT__SPACE

    static final org.eclipse.emf.ecore.EReference ASELECT__SPACE

  The meta object literal for the 'Space' reference feature.

### ASELECT__FOR

    static final org.eclipse.emf.ecore.EAttribute ASELECT__FOR

  The meta object literal for the 'For' attribute feature.

### AMOVE

    static final org.eclipse.emf.ecore.EClass AMOVE

  The meta object literal for the ' `AMove`' class.

  See Also:
    `AMoveImpl`, `MetaABMActPackageImpl.getAMove()`

### ATRANSFORM

    static final org.eclipse.emf.ecore.EClass ATRANSFORM

  The meta object literal for the '`ATransform`' class.

  See Also:
    `ATransformImpl`, `MetaABMActPackageImpl.getATransform()`

### ATRANSFORM__DESTINATION

    static final org.eclipse.emf.ecore.EReference ATRANSFORM__DESTINATION

  The meta object literal for the 'Destination' reference feature.

### ALEAVE

    static final org.eclipse.emf.ecore.EClass ALEAVE

  The meta object literal for the ' `ALeave`' class.

  See Also:
    `ALeaveImpl`, `MetaABMActPackageImpl.getALeave()`

### ADIE

    static final org.eclipse.emf.ecore.EClass ADIE

  The meta object literal for the '`ADie`' class.

  See Also:
    `ADieImpl`, `MetaABMActPackageImpl.getADie()`

### ACONNECT

    static final org.eclipse.emf.ecore.EClass ACONNECT

  The meta object literal for the '`AConnect`' class.

  See Also:
    `AConnectImpl`, `MetaABMActPackageImpl.getAConnect()`

### ACONNECT__DIRECTED

    static final org.eclipse.emf.ecore.EAttribute ACONNECT__DIRECTED

  The meta object literal for the 'Directed' attribute feature.

### ANETWORK

    static final org.eclipse.emf.ecore.EClass ANETWORK

  The meta object literal for the '`ANetwork`' class.

  See Also:
    `ANetworkImpl`, `MetaABMActPackageImpl.getANetwork()`

### ANETWORK__WITHIN

    static final org.eclipse.emf.ecore.EReference ANETWORK__WITHIN

  The meta object literal for the 'Within' reference feature.

### ADISCONNECT

    static final org.eclipse.emf.ecore.EClass ADISCONNECT

  The meta object literal for the '`ADisconnect`' class.

  See Also:
    `ADisconnectImpl`, `MetaABMActPackageImpl.getADisconnect()`

### AREPLACE

    static final org.eclipse.emf.ecore.EClass AREPLACE

  The meta object literal for the '`AReplace`' class.

  See Also:
    `AReplaceImpl`, `MetaABMActPackageImpl.getAReplace()`

### ACOMMAND

    static final org.eclipse.emf.ecore.EClass ACOMMAND

  The meta object literal for the '`ACommand`' class.

  See Also:
    `ACommandImpl`, `MetaABMActPackageImpl.getACommand()`

### ACAUSE

    static final org.eclipse.emf.ecore.EClass ACAUSE

  The meta object literal for the ' `ACause`' class.

  See Also:
    `ACauseImpl`, `MetaABMActPackageImpl.getACause()`

### ACAUSE__RESULT

    static final org.eclipse.emf.ecore.EReference ACAUSE__RESULT

  The meta object literal for the 'Result' reference feature.

### ADIFFUSE

    static final org.eclipse.emf.ecore.EClass ADIFFUSE

  The meta object literal for the '`ADiffuse`' class.

  See Also:
    `ADiffuseImpl`, `MetaABMActPackageImpl.getADiffuse()`

### ADIFFUSE__DIFFUSED

    static final org.eclipse.emf.ecore.EReference ADIFFUSE__DIFFUSED

  The meta object literal for the 'Diffused' reference feature.

### ADIFFUSE__DIFFUSION_RATE

    static final org.eclipse.emf.ecore.EReference ADIFFUSE__DIFFUSION_RATE

  The meta object literal for the 'Diffusion Rate' reference feature.

### ADIFFUSE__EVAPORATION_RATE

    static final org.eclipse.emf.ecore.EReference ADIFFUSE__EVAPORATION_RATE

  The meta object literal for the 'Evaporation Rate' reference feature.

### APERFORM

    static final org.eclipse.emf.ecore.EClass APERFORM

  The meta object literal for the '`APerform`' class.

  See Also:
    `APerformImpl`, `MetaABMActPackageImpl.getAPerform()`

### ADERIVE

    static final org.eclipse.emf.ecore.EClass ADERIVE

  The meta object literal for the '`ADerive`' class.

  See Also:
    `ADeriveImpl`, `MetaABMActPackageImpl.getADerive()`

### ASHAPED

    static final org.eclipse.emf.ecore.EClass ASHAPED

  The meta object literal for the '`AShaped`' class.

  See Also:
    `AShapedImpl`, `MetaABMActPackageImpl.getAShaped()`

### ASHAPED__SHAPE

    static final org.eclipse.emf.ecore.EAttribute ASHAPED__SHAPE

  The meta object literal for the 'Shape' attribute feature.

### ALOAD_SHAPED_AGENTS

    static final org.eclipse.emf.ecore.EClass ALOAD_SHAPED_AGENTS

  The meta object literal for the '`ALoad Shaped Agents`' class.

  See Also:
    `ALoadShapedAgentsImpl`, `MetaABMActPackageImpl.getALoadShapedAgents()`

### ACREATE_SHAPED_AGENTS

    static final org.eclipse.emf.ecore.EClass ACREATE_SHAPED_AGENTS

  The meta object literal for the '`ACreate Shaped Agents`' class.

  See Also:
    `ACreateShapedAgentsImpl`, `MetaABMActPackageImpl.getACreateShapedAgents()`

### ALOAD_AGENTS

    static final org.eclipse.emf.ecore.EClass ALOAD_AGENTS

  The meta object literal for the '`ALoad Agents`' class.

  See Also:
    `ALoadAgentsImpl`, `MetaABMActPackageImpl.getALoadAgents()`

### ALOAD_AGENTS__SOURCE_URL

    static final org.eclipse.emf.ecore.EAttribute ALOAD_AGENTS__SOURCE_URL

  The meta object literal for the 'Source URL' attribute feature.

### AINPUT

    static final org.eclipse.emf.ecore.EClass AINPUT

  The meta object literal for the ' `AInput`' class.

  See Also:
    `AInputImpl`, `MetaABMActPackageImpl.getAInput()`

### AINPUT__SINK

    static final org.eclipse.emf.ecore.EReference AINPUT__SINK

  The meta object literal for the 'Sink' container reference feature.

### AINPUT__SELECTED

    static final org.eclipse.emf.ecore.EReference AINPUT__SELECTED

  The meta object literal for the 'Selected' reference feature.

### AINPUT__LITERAL

    static final org.eclipse.emf.ecore.EReference AINPUT__LITERAL

  The meta object literal for the 'Literal' containment reference feature.

### AINPUT__VALUE

    static final org.eclipse.emf.ecore.EReference AINPUT__VALUE

  The meta object literal for the 'Value' reference feature.

### ALITERAL

    static final org.eclipse.emf.ecore.EClass ALITERAL

  The meta object literal for the '`ALiteral`' class.

  See Also:
    `ALiteralImpl`, `MetaABMActPackageImpl.getALiteral()`

### ALITERAL__VALUE_LITERAL

    static final org.eclipse.emf.ecore.EAttribute ALITERAL__VALUE_LITERAL

  The meta object literal for the 'Value Literal' attribute feature.

### AMULTI_VALUE

    static final org.eclipse.emf.ecore.EClass AMULTI_VALUE

  The meta object literal for the '`AMulti Value`' class.

  See Also:
    `AMultiValueImpl`, `MetaABMActPackageImpl.getAMultiValue()`

### AMULTI_VALUE__VALUES

    static final org.eclipse.emf.ecore.EReference AMULTI_VALUE__VALUES

  The meta object literal for the 'Values' reference list feature.

### ABUILD_SPACE_TYPES

    static final org.eclipse.emf.ecore.EEnum ABUILD_SPACE_TYPES

  The meta object literal for the '`ABuild Space Types`' enum.

  See Also:
    `ABuildSpaceTypes`, `MetaABMActPackageImpl.getABuildSpaceTypes()`

### ABUILD_NETWORK_TYPES

    static final org.eclipse.emf.ecore.EEnum ABUILD_NETWORK_TYPES

  The meta object literal for the '`ABuild Network Types`' enum.

  See Also:
    `ABuildNetworkTypes`, `MetaABMActPackageImpl.getABuildNetworkTypes()`

### ASELECT_TYPES

    static final org.eclipse.emf.ecore.EEnum ASELECT_TYPES

  The meta object literal for the '`ASelect Types`' enum.

  See Also:
    `ASelectTypes`, `MetaABMActPackageImpl.getASelectTypes()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD